{{- if .Values.redis.autoscaling.enabled }}
apiVersion: autoscaling/v2
kind: HorizontalPodAutoscaler
metadata:
  name: {{ include "redis-ha.fullname" . }}-redis
  labels:
    {{- include "redis-ha.labels" . | nindent 4 }}
    service: redis
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: {{ include "redis-ha.fullname" . }}-redis
  minReplicas: {{ .Values.redis.autoscaling.minReplicas }}
  maxReplicas: {{ .Values.redis.autoscaling.maxReplicas }}
  metrics:
    {{- if .Values.redis.autoscaling.targetCPUUtilizationPercentage }}
    - type: Resource
      resource:
        name: cpu
        target:
          type: Utilization
          averageUtilization: {{ .Values.redis.autoscaling.targetCPUUtilizationPercentage }}
    {{- end }}
    {{- if .Values.redis.autoscaling.targetMemoryUtilizationPercentage }}
    - type: Resource
      resource:
        name: memory
        target:
          type: Utilization
          averageUtilization: {{ .Values.redis.autoscaling.targetMemoryUtilizationPercentage }}
    {{- end }}
{{- end }}
